package com.hithomelabs.dsa.array.find_minimum_in_rotated_sorted_array;


public class SolutionTest {
    @Test
    void testSolve() {
        Solution solution = new Solution();

        // Test case 1: Normal case with rotation
        int[] nums1 = {3, 4, 5, 1, 2};
        assertEquals(1, solution.solve(nums1));

        // Test case 2: Array not rotated
        int[] nums2 = {1, 2, 3, 4, 5};
        assertEquals(1, solution.solve(nums2));

        // Test case 3: Array with one element
        int[] nums3 = {1};
        assertEquals(1, solution.solve(nums3));

        // Test case 4: Array with two elements, rotated
        int[] nums4 = {2, 1};
        assertEquals(1, solution.solve(nums4));

        // Test case 5: Array with duplicates
        int[] nums5 = {2, 2, 2, 0, 1, 2};
        assertEquals(0, solution.solve(nums5));
    }
}
