package com.hithomelabs.dsa.array.product_of_array_except_self;


public class SolutionTest {
    @Test
    void testSolve() {
        Solution solution = new Solution();

        // Test case 1: Normal case
        int[] nums1 = {1, 2, 3, 4};
        int[] expected1 = {24, 12, 8, 6};
        assertArrayEquals(expected1, solution.solve(nums1));

        // Test case 2: Array with one element
        int[] nums2 = {5};
        int[] expected2 = {1};
        assertArrayEquals(expected2, solution.solve(nums2));

        // Test case 3: Array with two elements
        int[] nums3 = {1, 2};
        int[] expected3 = {2, 1};
        assertArrayEquals(expected3, solution.solve(nums3));

        // Test case 4: Array with zeros
        int[] nums4 = {0, 1, 2, 3};
        int[] expected4 = {6, 0, 0, 0};
        assertArrayEquals(expected4, solution.solve(nums4));

        // Test case 5: Array with negative numbers
        int[] nums5 = {-1, -2, -3, -4};
        int[] expected5 = {-24, -12, -8, -6};
        assertArrayEquals(expected5, solution.solve(nums5));
    }
}
